#ifndef _MENU_
#define _MENU_
typedef struct Menu Menu;
#include "main.h"
struct Menu {
    int menu [3];
    char items [16] [128] [32];
    int n [16];
    int hilite [3];
    int pos;
    int sub_frame;
};
Menu* menu_new(void);
void menu_toggle(void);
void menu_draw(Menu * menu);
void menu_key(int k, bool shift);
#define ON(x, k) \
    if (land_equals(text, x)) { \
        menu_key(k, 0); \
    }
#define ON_SHIFT(x, k) \
    if (land_equals(text, x)) { \
        menu_key(k, 1); \
    }
bool menu_tick(Menu * menu, float mx, float my, float click);
#endif
